<%@ page language="java" errorPage="/sys/error.jsp" pageEncoding="GB2312" contentType="text/html;charset=GB2312" %>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN">
<html>
<head>
<%@ include file="/common/meta.jsp"%>
<title>人员管理</title>
<link href='<c:url value="/sys/css/css.css"/>' type="text/css" rel="stylesheet">
<script language="javascript">
<!--
var isSubmit = false;
function checkForm(form) {
    if(form.oripassword.value == "" || form.oripassword.value == " ") {
		alert("原密码不能为空！");
		form.oripassword.focus();
		return false;
	}
	if(form.oripassword.value.length < 6) {
		alert("原密码长度不能小于6位！");
		form.oripassword.focus();
		return false;
	}
	if(form.oripassword.value.length > 20) {
		alert("原密码长度不能大于20位！");
		form.oripassword.focus();
		return false;
	}
	if(form.password.value == "" || form.password.value == " ") {
		alert("新密码不能为空！");
		form.password.focus();
		return false;
	}    
	if(form.password.value.length < 6) {
		alert("新密码长度不能小于6位！");
		form.password.focus();
		return false;
	}
	
	if(form.password.value.length > 20) {
		alert("新密码长度不能大于20位！");
		form.password.focus();
		return false;
	}
	if(form.confirmPassword.value == "" || form.confirmPassword.value == " ") {
		alert("确认新密码不能为空！");
		form.confirmPassword.focus();
		return false;
	}
	if(form.password.value != form.confirmPassword.value) {
		alert("新密码和确认新密码不同！");
		form.password.focus();
		return false;
	}
	if(!isSubmit) {
		isSubmit = true;
	    return true;
	}
}
function goPage(form) {
	form.action = '<c:url value="/sys/main.html"/>';
	form.onsubmit = "";
    form.submit();	
}
//-->
</script>
</head>
<body  leftmargin=0 topmargin=0 marginheight="0" marginwidth="0">
<table border="0" cellpadding="0" cellspacing="0" align="center" width="100%" height="100%">
<tr>
<!-- left start -->
<td width="166" valign="top" bgcolor="#ffffff">
	<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	  <tr>
		<td width="100%" align="left" valign="bottom">
	    <img border="0" src="images/ad_left_bottom.jpg" width="166" height="83"></td>
	  </tr>
	</table>
</td>
<!-- left end -->
<!-- main start -->
<td valign="top">
<table border="0" cellpadding="0" cellspacing="0" align="center" width="100%" height="100%" class="mtable">
<tr><td valign="top">
<!-- 标题 start -->
<table border="0" cellpadding="0" cellspacing="0" align="center" width="100%" height="50" bordercolor="#111111" class="ltable">
  <tr>
    <td class="menu" width="580" align="right">
        <font class="text1">g-kskt </font><font class="text2"> 克什克腾政府网信息管理平台</font></td>
  </tr>
</table>
<!-- 标题 end -->
<!-- 主要内容 start -->
<table cellpadding="0" cellspacing="0" align="center" width="100%" height="380" class="ltable">
<html:form action="/sys/changeUserPassword.html" onsubmit="return checkForm(this);">
<input type="hidden" name="method" value="changeUserPassword">
<input type="hidden" name="change" value="change">
  <tr>
    <td class="menu" width="612" align="right">
        <!-- 操作 start -->
		<table cellspacing="1" cellpadding="0" width="565" bgColor="#006699" border="1" bordercolor="#E1F4FD">
			<tr bgColor="#f5f5f5">
				<td colspan="2" align="center">&nbsp;修改密码&nbsp;<font color="red"><c:out value="${errorMsg}"/></font></td>
			</tr>
			<tr bgColor="#ffffff">
				<td width="20%" align="right">原密码：</td>
				<td width="80%" nowrap><input type="password" name="oripassword" class="input_text" style="width:90%"/><font color="red">*</font>6-20位</td>
			</tr>
			<tr bgColor="#ffffff">
				<td width="20%" align="right">新密码：</td>
				<td width="80%" nowrap><html:password property="password" styleClass="input_text" style="width:90%"/><font color="red">*</font>6-20位</td>
			</tr>
			<tr bgColor="#ffffff">
				<td width="20%" align="right">确认新密码：</td>
				<td width="80%"><html:password property="confirmPassword" styleClass="input_text" style="width:90%"/><font color="red">*</font></td>
			</tr>
			<tr bgColor="#E1F4FD">
				<td colspan="2" align="center" valign="middle">
					<input type="submit" style="width:60px" value=" 确定 "> 
					<input type="button" style="width:60px" value=" 取消 " onclick="goPage(this.form);">
				</td>
			</tr>
        </table>
		<!-- 操作 end -->
    </td>
  </tr>
</html:form>
</table>
<!-- 主要内容 end -->
</td></tr>
</table>
</td>
<!-- main end -->
</tr>
</table>
</body>
</html>